item_dwand:
    type: item
    material: iron_axe
    display name: <&f>Denizen Wand

dwand_ability:
    type: world
    debug: false
    events:
        on player clicks block with:item_dwand:
            - determine passively cancelled
            - define click_type <context.click_type>
            # If the player didn't just click on air, pass
            - if <[click_type].contains[air]>:
                - stop
            - define player <player>
            - define location <context.location>
            # Checks if it was a right click or left click and flags accordingly
            # All other click types are discarded
            - if <[click_type]> == left_click_block:
                - flag <[player]> dschematic.left:<[location]>
                - narrate "<&9>Location 1: <[location].simple>"
            - else if <[click_type]> == right_click_block:
                - flag <[player]> dschematic.right:<[location]>
                - narrate "<&9>Location 2: <[location].simple>"
            - else:
                - stop
            # If the player has left clicked and right clicked two blocks, flag the player with a cuboid based on those two blocks
            - if <[player].has_flag[dschematic.left]> && <[player].has_flag[dschematic.right]>:
                - flag <[player]> dschematic.cuboid:<[player].flag[dschematic.left].to_cuboid[<[player].flag[dschematic.right]>]>
                - narrate "<&b>    Selected <[player].flag[dschematic.cuboid].volume> blocks."