item_jigsaw_wand:
    type: item
    material: iron_shovel
    display name: <&f>Jigsaw Wand

jigsaw_wand_ability:
    type: world
    debug: false
    events:
        on player clicks block with:item_jigsaw_wand:
            - determine passively cancelled
            - inventory close
            - define location <context.location>
            - define click_type <context.click_type>
            - define material <[location].material>
            - if <[click_type].contains[air]>:
                - stop
            - define player <player>
            # Flags the location, and if it the jigsaw should have its return name or call name flagged
            ## RETURN AND CALL NAMES HAVE NOT BEEN IMPLEMENTED YET IN GENERATION
            ## HOWEVER THEY MUST BE NAMED AND FLAGGED IN ORDER FOR THE JIGSAW TO SAVE INSIDE A SCHEMATIC
            - if <[click_type]> == left_click_block:
                - flag <[player]> dschematic.jigsaw.wants:return
                - narrate "<&9>Marked <[location].simple> for a return name"
            - else if <[click_type]> == right_click_block:
                - flag <[player]> dschematic.jigsaw.wants:call
                - narrate "<&9>Marked <[location].simple> for a call name"
            - else:
                - stop
            - flag <[player]> dschematic.jigsaw.location:<[location]>